# 引言

七牛严格遵守法律法规，按照业界成熟的安全与隐私标准，保护第三方开发者和其终端用户的个人信息。
 《七牛 SDK 隐私政策》主要向第三方开发者和其终端用户说明我们如何处理个人信息（处理包括“收集、存储、使用、加工、传输、提供、公开等”）。

在注册、接入、使用七牛 SDK产品和/或服务前，请第三方开发者和终端用户务必仔细阅读本声明。同时，请第三方开发者将本声明提供给第三方的终端用户，以便最终用户了解本声明相关内容并获得用户同意。如果第三方开发者或终端用户不同意本声明，应立即停止接入及使用七牛 SDK 产品和/或服务。
 我们对个人敏感信息采用“加粗”的书写方式进行特别提醒。如对本声明内容有任何疑问、意见或建议，可随时通过本声明第十条提供的方式与我们联系。 

 

本文将按如下顺序进行说明：

- 1、如何收集和使用第三方开发者和/或终端用户的个人信息

- 2、第三方终端用户的授权同意

- 3、如何使用 Cookie 等同类技术

- 4、如何共享、转让、公开披露第三方开发者和/或终端用户的个人信息

- 5、如何存储第三方开发者和/或终端用户的个人信息

- 6、如何保护第三方开发者和/或终端用户的个人信息安全

- 7、第三方开发者和/或终端用户如何管理其个人信息

- 8、如何处理儿童个人信息

- 9、如何变更与更新本声明

- 10、如何联系我们

 

本政策仅适用于七牛直接处理的个人信息。七牛主要为企业客户提供服务。若我们企业客户在他们的产品内嵌入了我们的服务（如我们的实时音视频服务、鉴黄服务、直播服务、点播服务、短视频服务、存储服务等），而您作为该企业客户的终端用户在与我们的产品互动过程中提供了您的个人信息。在这种场景下，我们作为信息处理方，遵照我们与企业客户的协议以及企业客户的指令处理您的个人信息，企业客户作为信息控制方对处理您的个人信息承担责任，并负有义务向您披露如何处理、保护您的个人信息。若您希望了解企业客户如何处理、分享、保护您的个人信息，请参阅该企业客户的隐私政策。若您对此有任何问题，请直接联系该企业客户。

 

#  一、如何收集和使用第三方开发者和/或终端用户的个人信息

我们遵循正当、合法、必要的原则，基于本声明所述的以下目的，收集和使用：

- 1.第三方开发者和/或终端用户主动提供或我们直接收集的个人信息；

- 2.第三方终端用户在使用七牛 SDK 产品和/或服务过程中产生的个人信息；

- 3.从第三方开发者或者其他第三方获取的第三方开发者和/或终端用户的个人信息。

 

我们通常会在征得第三方开发者和/或终端用户同意后收集个人信息。我们会在本声明中载明收集的个人信息用途，如果我们要将收集个人信息用于本声明未载明的其它用途，我们会以合理的方式向第三方开发者和/或终端用户告知，并在使用前再次征得第三方开发者和/或终端用户的同意。

 

### 1. 第三方开发者和/或终端用户主动提供或我们直接收集的个人信息

为实现七牛 SDK 的推送功能，我们可能需要向第三方开发者和/或终端用户收集相关个人信息。以下将详细列出七牛 SDK 的各项业务功能及为实现该功能所需收集的个人信息情况，请点击下述列表中的链接了解七牛 SDK（包括调用的第三方 SDK）针对的具体功能、收集个人信息的类型，实现的功能目的。

 

七牛 SDK 除自身提供相关服务并需收集相关信息外，第三方开发者还有可能集成其他辅助业务的第三方 SDK，此部分第三方 SDK 所收集的个人信息请开发者和终端用户查看第三方 SDK 的隐私政策。

 

关于七牛 SDK 的信息清单如下：

  

<table>
   <tr>
      <td>SDK 名称</td>
      <td>收集的个人信息</td>
      <td>实现的功能目的</td>
   </tr>
   <tr>
      <td font-weight="nomal" text-align="center" colspan="1" rowspan="13">推流 SDK</td>
   </tr>
   <tr>
      <td>厂商、机型</td>
      <td>用于判断用户的的手机类型，以备兼容性及问题排查</td>
   </tr>
   <tr>
      <td>Idfv（仅 iOS）</td>
      <td>用于判断是否是真机，防止黑产及外部恶意攻击。</td>
   </tr>
   <tr>
      <td>Android ID（仅 安卓手机）</td>
      <td>用于判断是否是真机，防止黑产及外部恶意攻击。</td>
   </tr>
   <tr>
      <td>网络类型（例如 Wi-FI、3G、4G）</td>
      <td>用于通信质量不佳时的问题排查</td>
   </tr>
   <tr>
      <td>IP地址</td>
      <td>用于优化路由，提升用户体验，也用于通信质量不佳时的问题排查</td>
   </tr>
   <tr>
      <td>CPU 占用率</td>
      <td>用于判断是否是真机，防止黑产及外部恶意攻击。也用于优化产品性能</td>
   </tr>
   <tr>
      <td>网络延时、丢包率</td>
      <td>用于路由优化，以及通信质量不佳时的问题排查</td>
   </tr>
   <tr>
      <td>视频帧率、码率、分辨率、渲染延迟</td>
      <td>用于通信质量不佳时的问题排查</td>
   </tr>
   <tr>
      <td>音频码率、采样率、渲染延迟</td>
      <td>用于通信质量不佳时的问题排查</td>
   </tr>
   <tr>
      <td> 摄像头采集的视频画面 </td>
      <td> 用于在直播推流时，把采集到的视频画面直播给观众端观看 </td>
   </tr>
   <tr>
      <td> 麦克风采集的音频数据 </td>
      <td> 用于在直播推流时，把采集到的音频数据直播给观众端收听 </td>
   </tr>
</table>



### 2. 为实现 SDK 产品功能所需的权限                                               
为实现 SDK 产品的相应功能，我们需要通过开发者的应用申请开启客户端设备操作系统的特定权限。

<table>
   <tr>
      <td>SDK名称</td>
      <td>操作系统</td>
      <td>权限名称</td>
      <td>使用目的</td>
   </tr>
     <tr>
      <td font-weight="nomal" text-align="center" colspan="1" rowspan="15"> 推流 SDK </td>
   </tr>
   <tr>
      <td font-weight="nomal" text-align="center" colspan="1" rowspan="11"> Android </td>
   </tr>
   <tr>
      <td> android.permission.CAMERA </td>
      <td>用于在使用 SDK 进行直播推流时，开启摄像头采集视频画面</td>
   </tr>
   <tr>
      <td> android.permission.RECORD_AUDIO </td>
      <td>用于在使用 SDK 进行直播推流时，开启麦克风采集音频数据</td>
   </tr>
   <tr>
      <td> android.permission.READ_EXTERNAL_STORAGE </td>
      <td> 用于读取 SDK 的配置和日志文件 </td>
   </tr>
   <tr>
      <td> android.permission.WRITE_EXTERNAL_STORAGE </td>
      <td> 用于存储 SDK 的配置和日志文件 </td>
   </tr>
    <tr>
      <td> android.permission.BLUETOOTH </td>
      <td> 用于需要支持蓝牙耳机和耳麦的接入</td>
  </tr>
   <tr>
      <td> android.permission.FOREGROUND_SERVICE </td>
      <td> 用于通过屏幕采集进行推流的场景 </td>
  </tr>
  <tr>
      <td> android.permission.INTERNET </td>
      <td> 用于实现联网功能 </td>
  </tr>
   <tr>
      <td> android.permission.ACCESS_WIFI_STATE </td>
      <td> 用于监控 WIFI 状态变化，提示用户当前网络环境 </td>
  </tr>
    <tr>
      <td> android.permission.ACCESS_NETWORK_STATE </td>
      <td> 用于监控网络状态变化，提示用户当前网络环境</td>
  </tr>
     <tr>
      <td> android.permission.MODIFY_AUDIO_SETTINGS </td>
      <td> 用于修改全局音频配置，如在直播中开启蓝牙采集音频等场景</td>
  </tr>
</td>
<tr>
      <td font-weight="nomal" text-align="center" colspan="1" rowspan="3"> iOS </td>
   </tr>
   <tr>
      <td> Privacy - Camera Usage Description </td>
      <td> 用于在使用 SDK 进行直播推流时，开启摄像头采集视频数据 </td>
   </tr>
   <tr>
      <td> Privacy - Microphone Usage Description  </td>
      <td>用于在使用 SDK 进行直播推流时，开启麦克风采集音频数据</td>
   </tr>
</td>
</table>

请注意，在不同设备和系统中，权限显示方式及关闭方式可能有所不同，请终端用户参考其使用的设备及操作系统开发方的说明或指引。当终端用户关闭权限即代表其取消了相应的授权，我们和开发者将无法继续收集和使用对应的个人信息，也无法为终端用户提供上述与该等授权所对应的功能。



### 3. 我们从第三方获得的第三方开发者和/或终端用户的个人信息

我们可能从第三方开发者授权同意的第三方（我们的合作方）处间接获取第三方开发者和/或终端用户的个人信息，获取的个人信息是为实现七牛SDK产品和/或服务必要功能所必需的最少数量。如我们收集的信息无法单独或结合其他信息识别到第三方开发者和/或终端用户的个人身份，其不属于法律意义上的个人信息。

我们会在收集前要求第三方对个人信息来源的合法性作出承诺，并向第三方开发者和/或终端用户告知共享的目的、信息等内容，在依法取得第三方开发者和/或终端用户同意后收集个人信息，确保在已获得的个人信息处理的授权同意范围内进行共享。

如第三方有违反法律法规要求或约定的行为，我们会立即停止从该方收集信息、停止合作并采取相应的补救措施将损失减少到最小；同时，我们会使用不低于对自身用户个人信息同等的保护水平对间接获取的个人信息进行保护，在间接获取个人敏感信息时，我们会采用更加严格的（如传输加密等）安全保障措施。

 

### 4. 以下情形中，我们收集、使用个人信息无需征得第三方开发者和/或终端用户的授权同意

- 4.1 与个人信息控制者履行法律法规规定的义务相关的；
- 4.2 与国家安全、国防安全直接相关的；
- 4.3 与公共安全、公共卫生、重大公共利益直接相关的；
- 4.4 与刑事侦查、起诉、审判和判决执行等直接相关的；
- 4.5 出于维护个人信息主体或其他个人的生命、财产等重大合法权益但又很难得到本人同意的；
- 4.6 所涉及的个人信息是个人信息主体自行向社会公众公开的；
- 4.7 根据个人信息主体要求签订和履行合同所必需的；
- 4.8 从合法公开披露的信息中收集的第三方开发者和/或终端用户的个人信息的，如合法的新闻报道、政府信息公开等渠道；
- 4.9 维护所提供产品或服务的安全稳定运行所必需的，例如发现、处置产品或服务的故障。

 

 

### 5. 个人信息的使用规则

我们会根据本声明和/或与第三方开发者的合同约定，并仅为实现七牛 SDK 产品和/或服务功能，对所收集的个人信息进行处理。若需要将收集的个人信息用于其他目的，我们会以合理方式告知第三方开发者和/或终端用户，并在第三方开发者获得终端用户同意后和/或单独获得终端用户同意后进行使用。
 我们向第三方开发者提供的 SDK 产品和/或服务停止运营后，或者第三方开发者和/或终端用户撤回个人信息的授权后，或者在第三方开发者和/或终端用户注销账号后，我们将会于合理的时间内销毁或匿名化处理从第三方开发者和/或终端用户处接收的所有个人信息，除非法律另有规定。

 

 

 

# 二、第三方终端用户的授权同意

第三方开发者将七牛 SDK 产品和/或服务集成到其第三方中，为向终端用户提供七牛 SDK 产品和/或服务，我们会以合法合规的方式收集、存储、加工来自于第三方开发者和/或终端用户的个人信息。

请第三方开发者知悉并同意：

第三方开发者已经遵守并将持续遵守适用的法律、法规和监管要求收集、使用和处理第三方终端用户的个人信息，包括但不限于制定和公布有关个人信息保护声明或隐私政策等；

第三方开发者已经告知第三方终端用户并且已经获得终端用户充分、必要且明确的授权、同意和许可（包括获取了儿童监护人对提供终端用户是儿童的个人信息的授权同意）、为提供七牛 SDK 产品和/或服务以及与第三方功能对应的目的，我们会收集和共享以及如何使用（包括允许我们根据本声明的规定收集和处理）第三方终端用户的个人信息；

除非适用法律另有规定，第三方开发者已经告知终端用户并且获得终端用户充分必要的授权、同意和许可，允许我们对已经收集的个人信息进行去标识化处理，并且在符合相关法律法规的前提下，可以将收集、处理的信息用于本声明第一条列明的用途；

第三方开发者已经向终端用户提供了易于操作的用户权利实现机制，并说明了终端用户可以如何以及何时行使选择权、如何访问、更正其个人信息，以及行使删除权、更改其授权同意的范围等操作。

 

# 三、如何使用 Cookie 等同类技术

当第三方开发者访问、登录、使用七牛 SDK 时，为确保网站正常运转，我们可能会在第三方开发者的计算机或移动设备上通过 Cookie 缓存功能使用相关信息。Cookie 通常包含当前登录帐号、站点地址、浏览次数。运用 Cookie 技术，我们能够为第三方开发者提供更加周到的个性化服务，并允许第三方开发者设定第三方开发者特定的服务选项。

### 1.什么是Cookie？

Cookie 是一种可让网站服务器将数据存储于客户端或从客户端中读取数据的中立技术。

Cookie 文件是存储了一些与用户访问网站有关信息的文件，格式为.txt。

Cookie 内容通常均经过加密。

安全的Cookie技术会为用户在上网时提供更为便捷的服务。

### 2.七牛使用Cookie的目的

Cookie 对提升用户的网络使用体验十分重要，七牛使用Cookie一般出于以下目的：

- 2.1 身份验证

Cookie可在您接入我们的服务时通知我们，以使我们可验证您的身份信息，以确保您的账号安全。

例如，Cookie技术可在您登入七牛服务时通知我们，因此，我们能够在您访问所有七牛服务的站点时，识别是否您本人安全登录，向您显示与您相关的信息。

 

- 2.1 偏好设置

Cookie可帮助我们按照您所希望的服务样式、外观的个性化设置为您提供服务。

例如， Cookie技术可记录您是否已经阅读过一些提示性的展现，防止重复提示对您造成骚扰；一些阅读展现(如字体大小等)方面您本人偏好的设定，我们也会存放于Cookie中，在您访问时自动为您调整到您上次设定的值。

 

- 2.3 安全

Cookie可帮助我们保障数据和服务的安全性，排查针对我们的产品和服务的作弊、黑客、欺诈行为。

例如，Cookie可以存放票据信息，能够由服务器验证是否是您自主在本站点的正常登录，通过票据中的加密信息，阻止多种类型的攻击，防止跨站信息窃取访问，防止身份冒充访问。

 

- 2.4 功能与服务

Cookie可帮助我们为用户提供更好的产品和服务。

例如，Cookie可以在您进行登录时，通过存储的信息，帮您填入您最后一次登入的账户名称，提高您的操作效率。

 

- 2.5 效率

Cookie可以避免不必要的服务器负载，提高服务效率，节省资源、能源。

例如，Cookie可帮助我们优化在服务器之间路由流量，并且了解不同用户加载我们服务时的速度，有时，我们或会利用Cookie让您正在使用时加载及响应得更快。

 

- 2.6 分析与研究

我们使用这些Cookie来了解、改善我们的产品和服务，为新产品或功能的研发提供参考数据。

例如，我们会使用Cookie来了解您使用我们服务的方式，以求改善用户体验。

例如您在接入我们服务时，在各个步骤所耗费的时间，我们会收集此信息用以分析研究能够进一步优化和改善的方面。

 

- 2.7 如何管理Cookie

大多数浏览器均为用户提供了管理Cookie 的功能。

当用户在进行浏览器的Cookie设置时，可以允许自己信任的网站启用 Cookie功能，禁止其他网站使用Cookie功能。

但请注意，如果停用Cookie，您可能无法享受最佳的服务体验，某些服务也可能无法正常使用。

 

 

# 四、如何共享、转让、公开披露第三方开发者和/或终端用户的个人信息

### 1. 共享

一般情况下，我们不会与我们的关联公司、合作伙伴及第三方共享第三方开发者和/或终端用户的必要的个人信息，除非为实现本声明第一条中所提及目的的需要。

如存在分享的行为，我们会要求关联公司、合作伙伴及第三方提供数据安全能力和信息安全资质（如等级保护测评、信息安全管理体系等）证明。在个人敏感信息的处理上，我们会要求第三方采用数据脱敏加密技术，从而更好地保护个人信息。如果第三方开发者和/或终端用户对第三方处理个人信息有异议或发现这些第三方存在风险时，请按照本声明第十条所述方式联系我们。

我们的关联公司、合作伙伴及第三方如要改变个人信息的处理目的，我们会再次征求第三方开发者和/或终端用户的同意。

### 2. 转让

我们不会将第三方开发者和/或终端用户的个人信息转让给任何公司、组织和个人，但以下情况除外：
 2.1 事先获得第三方开发者和/或终端用户明确的同意或授权；
 2.2 在涉及合并、收购、资产转让或类似的交易时，如涉及到个人信息转让，我们会要求新的持有第三方开发者和/或终端用户个人信息的公司、组织继续受本隐私声明的约束，否则，我们将要求该公司、组织重新向第三方开发者和/或终端用户征求授权同意。

### 3. 公开披露

我们不会公开披露第三方开发者和/或终端用户的个人信息，除非：

- 3.1 获得第三方开发者和/或终端用户的明确同意后；
- 3.2 在法律法规、法律程序、诉讼或政府主管部门强制要求的情况下。

### 4. 共享、转让、公开披露个人信息时事先征得授权同意的例外

请理解，在以下情形中，根据法律法规及国家标准，我们共享、转让、公开披露第三方开发者和/或终端用户的个人信息，无需事先征得第三方开发者和/或终端用户的授权同意：
- 4.1 与个人信息控制者履行法律法规规定的义务相关的；
- 4.2 与国家安全、国防安全有关的；
- 4.3 与公共安全、公共卫生、重大公共利益直接相关的；
- 4.4 与刑事侦查、起诉、审判和判决执行等直接相关的；
- 4.5 出于维护第三方开发者和/或终端用户或其他个人的生命、财产等重大合法权益但又很难得到本人同意的；
- 4.6 第三方开发者和/或终端用户自行向社会公众公开的个人信息；
- 4.7 从合法公开披露的信息中收集个人信息的，如合法的新闻报道、政府信息公开等渠道。

请知悉，如我们收集的信息无法单独或结合其他信息识别到第三方开发者和/或终端用户的个人身份，其不属于法律意义上的个人信息，此类处理后数据的共享、转让、公开披露，无需另行向第三方开发者和/或终端用户通知并征得同意。

 

# 五、如何存储第三方开发者和/或终端用户的个人信息

### 1. 存储方式和期限

我们会通过安全的方式存储第三方开发者和/或终端用户的信息，包括本地存储、数据库和服务器日志。
 一般情况下，我们只会在为实现本声明所述目的所必需的最短时间内或法律法规规定或个人信息主体另行授权同意的条件/范围内存储第三方开发者和/或终端用户的个人信息。但在下列情况下，且仅出于下列情况相关的目的，我们有可能需要较长时间保留第三方开发者和/或终端用户的个人信息：
 - 1.1 遵守适用的法律法规等有关规定；
 - 1.2 遵守法院判决、裁定或其他法律程序的要求；
 - 1.3 遵守相关政府机关或其他有权机关的要求；
 - 1.4 为执行相关服务协议或本声明、维护社会公共利益、处理投诉/纠纷，保护我们的客户、我们或我们的关联公司、其他用户或雇员的人身和财产安全或合法权益所合理必需的用途。

### 2. 存储地域

我们会按照法律法规规定，将境内收集的个人信息存储于中国境内。
 如需跨境传输或存储的，我们会向第三方开发者和/或终端用户告知个人信息出境的目的、接收方、安全保证措施和安全风险，并征得第三方开发者和/或终端用户的同意。

 

# 六、如何保护第三方开发者和/或终端用户的个人信息安全

### 1. 安全保护措施

我们已使用符合业界标准的安全防护措施保护第三方开发者和/或终端用户提供的个人信息，防止数据遭到未经授权访问、公开披露、使用、修改、损毁、泄漏或丢失。
 我们采用业界领先的技术保护措施。我们使用的技术手段包括但不限于防火墙、加密（例如 SSL）、去标识化或匿名化处理、访问控制措施等。此外，我们还会不断加强将 SDK 集成到第三方上的安全能力。
 我们建立了专门保障个人信息安全的管理制度、流程和组织。我们也会审查该管理制度、流程和组织，以防未经授权的人员擅自访问、使用或披露用户的信息。

### 2. 安全事件处置措施

若发生个人信息泄露、损毁、丢失等安全事件，我们会启动应急预案，阻止安全事件扩大。安全事件发生后，我们会及时以推送通知、邮件等形式向第三方开发者和/或终端用户告知安全事件的基本情况、我们即将或已经采取的处置措施和补救措施，以及我们对第三方开发者和/或终端用户的应对建议。

 

# 七、第三方开发者和/或终端用户如何管理其个人信息

我们非常重视第三方开发者和/或终端用户对个人信息的管理，并尽全力提供对个人信息的查询、访问、修改、删除、投诉举报以及设置隐私功能等的相关权利，以使第三方开发者和/或终端用户有能力保障自身的隐私和信息安全。

### 1. 针对第三方开发者

第三方开发者访问、修改和删除个人信息的范围和方式将取决于第三方开发者使用的开发者平台的功能设置，也可以按照本声明第十条所述方式与我们联系。

### 2. 针对第三方终端用户

由于第三方终端用户不是我们的直接用户，我们建议：
- 2.1 当终端用户所使用的第三方中某项功能由七牛SDK产品和/或服务提供，终端用户可以在使用我们服务的过程中，访问、修改和删除第三方开发者提供的注册信息和其他个人信息，也可按照本声明第十条所述方式与我们联系；
- 2.2 当终端用户直接向我们主张个人信息主体权利时，应提供必要的证明文件，我们还会对终端用户进行身份验证。我们会向第三方开发者核实终端用户身份以保障终端用户第三方账号安全的情况下，响应终端用户的相关请求；
- 2.3 当终端用户直接向我们主张个人信息主体权利时，根据第三方开发者的隐私政策或个人信息保护声明，我们还可能将与终端用户个人信息相关的请求直接发送给该第三方开发者，要求其处理和/或寻求帮助。

### 3. 响应第三方开发者和/或终端用户的合理请求

我们会响应第三方开发者和/或终端用户上述的合理请求，如无端重复、需要过多技术手段（例如，需要开发新系统或从根本上改变现行惯例）、给他人合法权益带来风险或者非常不切实际（例如，涉及备份磁盘上存放的信息）的请求，我们可能会予以拒绝。
 在以下情形中，我们将无法响应第三方开发者和/或终端用户的请求：
- 3.1 与我们履行法律法规规定的义务相关的；
- 3.2 与国家安全、国防安全直接相关的；
- 3.3 与公共安公共卫生、重大公共利益直接相关的；
- 3.4 与犯罪侦查、起诉、审判和执行判决等直接相关的；
- 3.5 我们有充分证据表明第三方开发者和/或终端用户存在主观恶意或滥用权利的；
- 3.6 出于维护第三方开发者和/或终端用户或其他个人的生命、财产等重大合法权益但又很难得到本人同意的；
- 3.7 响应第三方开发者和/或终端用户的请求将导致第三方开发者或其他个人、组织的合法权益受到严重损害的；
- 3.8 涉及商业秘密的。
 如第三方开发者和/或终端用户的对上述权利实现存在疑问，可以根据本声明第十条所述方式与我们联系。

 

# 八、如何处理儿童个人信息

请第三方开发者确保是18周岁（含）以上人士。请第三方开发者理解并知悉，如果第三方是针对儿童用户的，请第三方开发者务必确保第三方终端用户（儿童）的监护人已经阅读并同意了第三方的隐私政策以及本文，并且经其同意后提供儿童个人信息给我们，以实现第三方在隐私政策中所述的相关功能。

如果第三方开发者的第三方是针对儿童并为儿童用户设计和开发的，请务必确保该第三方终端用户（儿童）的监护人已经阅读并同意了第三方的隐私政策/个人信息保护声明以及本文，并且授权同意提供儿童个人信息给我们以实现第三方的相关功能。

如果我们在不知情的情况下收集了儿童的个人信息，我们将及时对其进行删除，除非法律法规要求我们保留此类资料。如果第三方开发者和/或终端用户认为我们错误或意外地向儿童收集了信息，请按本声明第十条所述方式及时联系我们。如果经我们发现第三方开发者未获得儿童的监护人同意向我们提供儿童个人信息的，我们将尽快删除该儿童的个人信息并确保不对其进一步处理。

 

# 九、如何变更与更新本声明

为给第三方开发者提供更好的服务以及随着本平台产品和/或服务的不断发展与变化，我们可能会适时对本声明进行修订。

当本声明的条款发生变更时，我们会在版本更新时以弹窗、红点提示、网站公告等方式进行提示，并说明生效日期。此外，如果更新后的本声明对第三方终端用户的权利有所影响，还需要请第三方开发者适时更新第三方的隐私政策。

对于重大变更，我们还会提供更为显著的通知（包括对于某些服务，我们会通过电子邮件或站内信形式或公告形式发送通知，说明本声明的具体变更内容）。因此，请随时查看和了解本声明内容。如果第三方开发者和/或终端用户不同意接受本声明，请停止接入和使用我们的服务。
 本声明所指的重大变更包括但不限于：

我们的服务模式发生重大变化。如处理个人信息的目的、类型、个人信息的使用方式等；

我们在所有权结构、组织架构等方面发生重大变化。如业务调整、破产、并购等引起的所有者变更等；

个人信息共享、转让或公开披露的主要对象发生变化；

个人信息处理方面的权利及其行使方式发生重大变化；

负责处理个人信息安全的责任部门、联络方式及投诉渠道发生变化；

个人信息安全影响评估报告表明存在高风险。

本声明是七牛各 SDK 开发者平台服务协议的重要组成部分。我们还会将本声明的旧版本存档，供第三方开发者和/或终端用户查阅。

 

# 十、如何联系我们

如第三方开发者和/或终端用户对本声明或个人信息相关事宜有疑问，可以通过以下方式与我们取得联系：

通过七牛客服电话 400-808-9176 与我们联系进行在线咨询；

邮寄信件至：中国上海市浦东新区浦东软件园Q座七牛云法务部（收）邮编：201203。

我们将及时验证请求人身份并尽快审核所涉问题，并于十五个工作日内予以回复。

 

# 十一、其它

《七牛隐私政策》是七牛统一适用的一般性隐私条款，其中所规定的用户权利及信息安全保障措施均适用于第三方开发者和/或终端用户。如《七牛隐私政策》与本声明存在不一致或矛盾之处，请以本声明为准。

我们请第三方开发者特别注意：当第三方开发者进行个人信息的处理活动，如果符合以下任何一项条件，请第三方开发者注意同时遵守《欧盟通用数据保护条例》（General Data Protection Regulation，以下简称 “GDPR”）：
 - 第三方开发者在欧盟经济区域（“EEA”），无论该处理活动是否在欧盟进行；
 - 向在 EEA 的个人提供商品或服务（不论是否有偿），或者监视其在 EEA 内的行为；
 - 不在 EEA 内，但根据国际公法适用欧盟成员国法律（例如 EEA 成员国的使馆或领事馆）。

如果第三方开发者和/或终端用户来自EEA，我们收集和使用上述个人信息的法律依据将取决于相关个人信息以及我们收集信息的具体背景。
对于 EEA 中的第三方开发者和/或终端用户，有权根据适用的数据保护法律向主管数据保护机构投诉或向具有管辖权的法院提起诉讼。
如果第三方开发者和/或终端用户对我们收集和使用个人信息的法律依据有疑问或需要进一步信息的，请根据本声明第十条所述方式与我们联系。   

